#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned long long int n,b,br=0,i;
    int k;
    scanf("%llu%d",&n,&k);
    unsigned long long int a[2*n+1];
    for(i=0;i<2*n+1;i++)
    {
        a[i]=0;
    }
    for(i=1;i<=n;i++)
    {
        scanf("%llu",&b);
        a[n+b]+=1;
        if(a[n+b]==k)
            br++;
    }
    printf("%llu\n",br);
    for(i=0;i<2*n+1;i++)
    {
        if(a[i]>=k)
        {
            printf("%lli",i-n);
        }
    }


}